diff --git a/web/cobbler_web/views.py b/web/cobbler_web/views.py
index 7db24d1..3423d87 100644
--- a/web/cobbler_web/views.py
+++ b/web/cobbler_web/views.py
@@ -12,6 +12,7 @@ import string
 import distutils
 import exceptions
 import time
+import base64
 
 import cobbler.item_distro  as item_distro
 import cobbler.item_profile as item_profile
@@ -64,11 +65,20 @@ def check_auth(request):
     global token
     global username
     global url_cobbler_api
-    if request.META.has_key('REMOTE_USER'):
+    username = ""
+    password = ""
+    # if we have basic authentication then decode the base64 auth
+    if request.META.has_key('AUTH_TYPE') and request.META['AUTH_TYPE'] == 'Basic':
+        (auth_type,base64_auth) = request.META['HTTP_AUTHORIZATION'].split(' ')
+        (username,password) = base64.b64decode(base64_auth).split(":")
+    elif request.META.has_key('REMOTE_USER'):
         username = request.META['REMOTE_USER']
         #REMOTE_USER is set, so no credentials are going to be available
         #So we get the shared secret and let authn_passthru authenticate us
         password = utils.get_shared_secret()
+    
+    # if we have some form of authentication then continue
+    if username != "" and password != "":
         # Load server ip and port from local config
         if url_cobbler_api is None:
             url_cobbler_api = utils.local_get_cobbler_api_url()
